// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ngCordova'])

  .run(function($ionicPlatform, $ionicPopup, $ionicHistory) {
    $ionicPlatform.ready(function() {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      if (window.cordova && window.cordova.plugins.Keyboard) {
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        cordova.plugins.Keyboard.disableScroll(true);

      }
      if (window.StatusBar) {
        // org.apache.cordova.statusbar required
        StatusBar.styleDefault();
      }
      //network connection
      if (window.Connection) {
        if (navigator.connection.type == Connection.NONE) {
          $ionicPopup.confirm({
              title: 'No Internet Connection',
              content: 'Sorry, no Internet connectivity detected. Please reconnect and try again.'
            })
            .then(function(result) {
              if (!result) {
                ionic.Platform.exitApp();
              }
            });
        }
      }

      // Disable BACK button on home
      $ionicPlatform.registerBackButtonAction(function(event) {
        if (true) { // your check here
          $ionicPopup.confirm({
            title: 'App Exit',
            template: ' Are you sure want to exit?'
          }).then(function(res) {
            if (res) {
              ionic.Platform.exitApp();
            }
          });
        } else
          $ionicHistory.goBack();
      }, 100);
    });
  })


.directive('stopccp', function(){
    return {
        scope: {},
        link:function(scope,element){
            element.on('cut copy paste', function (event) {
              event.preventDefault();
            });
        }
    };
})
  .config(function($stateProvider, $urlRouterProvider) {
    $stateProvider

      .state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'AppCtrl'
      //   onEnter: function($state, Auth) {
      //     console.log(Auth)
      //     console.log($state)
      //   if (!Auth.isLoggedIn()) {
      //     console.log(Auth.isLoggedIn());
      //     $state.go('login');
      //   }
      // }

      })

      .state('login', {
        url: '/login',
        templateUrl: 'templates/login.html',
        controller: 'loginController'
      })

      .state('registration', {
        url: '/register',
        templateUrl: 'templates/registration.html',
        controller: 'registerController'
      })

      .state('app.visitorpass', {
        url: '/visitorpass',
        views: {
          'menuContent': {
            templateUrl: 'templates/visitorpass.html',
            controller: 'visitorpassController'
          }
        }
      })
      .state('app.visitorScanDetail', {
        url: '/visitorScanDetail',
        views: {
          'menuContent': {
            templateUrl: 'templates/visitorScanDetail.html',
            controller: 'visitorpassController'
          }
        }
      })
      .state('app.visitorPass1', {
        url: '/visitorPass1',
        views: {
          'menuContent': {
            templateUrl: 'templates/vistorgeneratepass.html',
            controller: 'visitorpassController'
          }
        }
      })
      .state('app.outtime', {
        url: '/outtime',
        views: {
          'menuContent': {
            templateUrl: 'templates/outtime.html',
            controller: 'visitorpassController'
          }
        }
      })

      .state('app.bar', {
        url: '/bar',
        // parent:'app.visitorpass',
        views: {
          'menuContent': {
            templateUrl: 'templates/barcode.html',
            controller: 'visitorpassController'
          }
        }
      })

      .state('app.printpass', {
        url: '/printpass',
        views: {
          'menuContent': {
            templateUrl: 'templates/printpass.html',
            controller: 'visitorpassController'
          }
        }
      });
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/login');

  })
  .run(function($rootScope, $location) {
    $rootScope.$on("$routeChangeStart", function(event, next, current) {
      IRoot.isRooted(function(e){
        alert(e);
        if(e == 1){
          $scope.showerrorPopup('Oops!', 'You cannot access this application.');
          ionic.Platform.exitApp();
        }else{
          if ($rootScope.username == null) {
            if (next.templateUrl === "templates/login.html") {} else {
              $location.path("/login");
            }
          }
        }
      }, function(e){
        alert(e);
      });
    });
  });
